:root {
    --brand-turquesa: #7CE7D5;
    --brand-turquesa-hover: #59c5af;
    --brand-turquesa-disabled: #97beb8;
    --brand-azul: #003D67;
    --brand-azul-hover: #012d4b;
    --brand-azul-disabled: #1c4058;
    --brand-morado: #3F0456;
    --brand-morado-hover: #2D0340;
    --brand-morado-disabled: #3a2542;
}

.text-turquesa {
    color: #6dd4c0 !important;
}

.text-azul {
    color: #003d67 !important;
}

.border-azul {
    border-color: #003d67 !important;
}

.text-naranja {
    color: #FF6600 !important;
}

.border-naranja {
    border-color: #FF6600 !important;
}

.text-morado {
    color: #3F0456 !important;
}

.text-morado-75 {
    color: #774d87 !important;
}

.text-morado-50 {
    color: #a588af !important;
}

.text-shadow {
    text-shadow: 2px 2px 4px #000000;
}

.link-morado {
    /* color: #987AA3 !important; */
    color: #3F0456 !important;
    text-decoration: none;
}

.link-morado:hover {
    color: #2D0340 !important;
    text-decoration: none;
}

.link-morado-75 {
    /* color: #987AA3 !important; */
    color: #774d87 !important;
    text-decoration: none;
}

.link-morado-75:hover {
    color: #3F0456 !important;
    text-decoration: none;
}

.nav-link .link-morado-75:hover {
    color: #a588af !important;
    text-decoration: none;
}

.bg-morado {
    background-color: var(--brand-morado) !important;
}

.bg-morado-75 {
    background-color: #774d87 !important;
}

.bg-morado-50 {
    background-color: #a588af !important;
}

.bg-morado-25 {
    background-color: #cab1d4 !important;
}

.bg-azul {
    background-color: var(--brand-azul) !important;
}

.bg-azul-75 {
    background-color: #1c4058 !important;
}

.bg-azul-50 {
    background-color: #3f6a87 !important;
}

.bg-azul-25 {
    background-color: #80a1b5 !important;
}

.bg-lightgray {
    background-color: #f1f1f1 !important;
}

.link-rounded {
    text-align: center;
    color: #3F0456;
    background-color: #FFF;
    padding: 3px;
    font-size: 16px;
    border-radius: 50%;
    height: 28px;
    width: 28px;
}

.link-rounded:hover {
    color: #2D0340 !important;
    text-decoration: none;
}

.logo-rounded {
    height: 65px;
    width: 65px;
}

.btn-turquesa {
    --bs-btn-color: #175D7A;
    --bs-btn-bg: #74DECE;
    --bs-btn-border-color: #74DECE;
    --bs-btn-hover-color: #175D7A;
    --bs-btn-hover-bg: #6DD4C0;
    --bs-btn-hover-border-color: #6DD4C0;
    --bs-btn-focus-shadow-rgb: 124,231,213;
    --bs-btn-active-color: #1c1d1d;
    --bs-btn-active-bg: #6DD4C0;
    --bs-btn-active-border-color: #6DD4C0;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #1f4758;
    --bs-btn-disabled-bg: #92c0b8;
    --bs-btn-disabled-border-color: #92c0b8;
}

.btn-outline-turquesa {
    --bs-btn-color: #175D7A;
    --bs-btn-border-color: #74DECE;
    --bs-btn-hover-color: #175D7A;
    --bs-btn-hover-bg: #74DECE;
    --bs-btn-hover-border-color: #74DECE;
    --bs-btn-focus-shadow-rgb: 124,231,213;
    --bs-btn-active-color: #0b425a;
    --bs-btn-active-bg: #74DECE;
    --bs-btn-active-border-color: #74DECE;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #1f4758;
    --bs-btn-disabled-bg: #dddddd;
    --bs-btn-disabled-border-color: #1f4758;
    --bs-gradient: none;
}

.btn-morado {
    --bs-btn-color: #ffffff;
    --bs-btn-bg: #3F0456;
    --bs-btn-border-color: #3F0456;
    --bs-btn-hover-color: #ffffff;
    --bs-btn-hover-bg: #2D0340;
    --bs-btn-hover-border-color: #2D0340;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #ffffff;
    --bs-btn-active-bg: #2D0340;
    --bs-btn-active-border-color: #050505;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #c7c7c7;
    --bs-btn-disabled-bg: #3a2542;
    --bs-btn-disabled-border-color: #3a2542;
}

.btn-link-morado-75 {
    --bs-btn-color: #774d87;
    --bs-btn-bg: transparent;
    --bs-btn-border-color: transparent;
    --bs-btn-hover-color: #a588af;
    --bs-btn-hover-bg: transparent;
    --bs-btn-hover-border-color: transparent;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #a588af;
    --bs-btn-active-bg: transparent;
    --bs-btn-active-border-color: transparent;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #c7c7c7;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: transparent;
}

.btn-outline-morado {
    --bs-btn-color: #3F0456;
    --bs-btn-border-color: #3F0456;
    --bs-btn-bg: rgba(241, 241, 241, 0.60);
    --bs-btn-hover-color: #2D0340;
    --bs-btn-hover-bg: rgba(241, 241, 241, 0.80);
    --bs-btn-hover-border-color: #3F0456;
    --bs-btn-focus-shadow-rgb: 74, 17, 95;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #3F0456;
    --bs-btn-active-border-color: #3F0456;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #3F0456;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #3F0456;
    --bs-gradient: none;
}

.btn-azul {
    --bs-btn-color: #ffffff;
    --bs-btn-bg: #003d67;
    --bs-btn-border-color: #003d67;
    --bs-btn-hover-color: #ffffff;
    --bs-btn-hover-bg: #002d4b;
    --bs-btn-hover-border-color: #002d4b;
    --bs-btn-focus-shadow-rgb: 0, 61, 103;
    --bs-btn-active-color: #ffffff;
    --bs-btn-active-bg: #002d4b;
    --bs-btn-active-border-color: #002d4b;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #C7C7C7;
    --bs-btn-disabled-bg: #1f4758;
    --bs-btn-disabled-border-color: #1f4758;
}

.btn-outline-azul {
    --bs-btn-color: #003d67;
    --bs-btn-bg: rgba(241, 241, 241, 0.60);
    --bs-btn-border-color: #003d67;
    --bs-btn-hover-color: #003d67;
    --bs-btn-hover-bg: rgba(241, 241, 241, 0.80);
    --bs-btn-hover-border-color: #003d67;
    --bs-btn-focus-shadow-rgb: 0, 61, 103;
    --bs-btn-active-color: #ffffff;
    --bs-btn-active-bg: #003d67;
    --bs-btn-active-border-color: #003d67;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #1f4758;
    --bs-btn-disabled-bg: #C7C7C7;
    --bs-btn-disabled-border-color: #1f4758;
    --bs-gradient: none;
}

.btn-morado:hover,.btn-outline-morado:hover,.btn-azul:hover,.btn-outline-azul:hover {
    box-shadow: 5px 10px 15px rgba(0, 0, 0, 0.5);
    transform: translateY(-1px);
}

.btn-lightpurple {
    color: #FFF;
    background-color: #7c5988;
    border-color: #7c5988;
}

.btn-lightpurple:hover {
    color: #FFF;
    background-color: #987AA3;
    border-color: #987AA3;
}

.btn-check:focus+.btn-lightpurple,
.btn-lightpurple:focus {
    color: #FFF;
    background-color: #987AA3;
    border-color: #987AA3;
    box-shadow: 0 0 0 0.25rem rgba(104, 87, 110, 0.5);
}

.btn-check:checked+.btn-lightpurple,
.btn-check:active+.btn-lightpurple,
.btn-lightpurple:active,
.btn-lightpurple.active,
.show>.btn-lightpurple.dropdown-toggle {
    color: #FFF;
    background-color: #987AA3;
    border-color: #987AA3;
}

.btn-check:checked+.btn-lightpurple:focus,
.btn-check:active+.btn-lightpurple:focus,
.btn-lightpurple:active:focus,
.btn-lightpurple.active:focus,
.show>.btn-lightpurple.dropdown-toggle:focus {
    box-shadow: 0 0 0 0.25rem rgba(104, 87, 110, 0.5);
}

.btn-lightpurple:disabled,
.btn-lightpurple.disabled {
    color: #FFF;
    background-color: #7c5988;
    border-color: #7c5988;
}

/* Firefox */
input[type=number] {
    appearance: textfield;
    -moz-appearance: textfield;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.mini {
    font-size: 0.9rem !important;
}

.micro {
    font-size: 0.8rem !important;
    line-height: 0.8rem;
}

.microlink {
    display: flex;
    height: 65px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.microlink a {
    color: var(--brand-morado);
    text-decoration: none;
    font-size: 1.3;
    line-height: 1rem;
    padding-top: 5px;
    margin-bottom: 5px;
    width: fit-content;
}

.microlink a:hover {
    color: var(--brand-morado-hover);
    text-decoration: none;
}

.microlabel {
    font-size: 0.8rem !important;
    line-height: 0.5rem;
}

/* navbar section */
.navbar {
    display: block;
    position: fixed;
    top:0;
    visibility: visible;
    height: 90px;
    max-height: 90px;
    max-width: 100%;
    width: 100%;
    transition: all 0.3s ease-in-out;
    z-index: 100 !important;
}

@media (min-width: 1200px) {
    .navbar {
        height: 60px;
        max-height: 60px;
    }
}

.navbar-logo {
    height: 22px;
}

.shadow-footer {
    /* box-shadow: 0px -5px 10px 0px rgba(0, 0, 0, 0.25); */
    box-shadow: 0px -5px 20px 0px rgba(0, 0, 0, 0.35)
}

.invalid {
    border-color: #f8260a !important;
}

.warning {
    border-color: #ff7300 !important;
}

/* Estilos para el menú lateral */
.menu-lat {
    position: fixed;
    top: 0px;
    left: -100%;
    margin: 0;
    padding: 10px;
    width: 75%;
    height: 100vmax;
    /* background-color:#3F0456; */
    z-index: 2000;
    box-shadow: 0 0.2rem 0.2rem 0.5rem rgba(0, 0, 0, 0.5);
}

.menu-lat nav.xsm ul {
    margin-top: 20px;
    overflow: hidden;
    list-style: none;
    /* background-color:#3F0456; */
}

.menu-lat nav.xsm ul li {
    display: block;
    font-size: 1.2rem;
    color: #FFFFFF;
    /* float:left; */
}

.menu-lat nav.xsm i.bi {
    margin-right: 10px;
}

.menu-lat nav.xsm ul li a {
    font-size: 1.2rem;
    color: #7c5988;
    display: block;
    padding: 10px 0;
    text-decoration: none;
}

.menu-lat a:hover {
    color: #3F0456;
}

/* boton cerrar */
#close-menu {
    display: block;
    height: 40px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

#close-menu i {
    float: inline-end;
    font-size: 2em;
    padding: 8px;
}

#close-menu {
    color: #987AA3
}

#close-menu:hover {
    color: #3F0456;
}

section {
    min-height: 70vh;
    width: 100%;
}

/* section .container {
    padding-top: 75px;
    padding-bottom: 50px;
    min-height: 70vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
} */

/* Estilos para toast */
.toast-back {
    background-color: rgba(0, 0, 0, 0.8);
    position: absolute;
    top: 0;
    left: 0;
    display: inline-block;
    width: 100%;
    height: 100%;
    vertical-align: middle;
    margin-right: -4px;
    z-index: 19;
}

.alert {
    position: fixed;
    top: 120px;
    right: 0px;
    z-index: 5000;
}

@media (min-width: 576px) {
    .alert {
        right: calc(50vw - 285px);
        width: 70%;
    }
}

@media (min-width: 768px) {
    .alert {
        right: calc(50vw - 375px);
        width: 60%;
    }
}

@media (min-width: 992px) {
    .alert {
        right: calc(50vw - 495px);
        width: 50%;
    }
}

@media (min-width: 1200px) {
    .alert {
        right: calc(50vw - 585px);
        width: 40%;
    }
}

@media (min-width: 1400px) {
    .alert {
        right: calc((50vw - 660px) + 30px);
        width: 30%;
    }
}

/* override */
.alert-primary {
    --bs-alert-color: white;
    --bs-alert-bg: var(--brand-morado);
    --bs-alert-border-color: var(--brand-morado);
    --bs-alert-link-color: #a588af;
}

.alert-secondary {
    --bs-alert-color: var(--bs-gray-100);
    --bs-alert-bg: var(--bs-secondary);
    --bs-alert-border-color: var(--bs-secondary);
    --bs-alert-link-color: var(--bs-gray-100);
}

.alert-success {
    --bs-alert-color: white;
    --bs-alert-bg: var(--bs-success);
    --bs-alert-border-color: var(--bs-success);
    --bs-alert-link-color: white;
}

.alert-info {
    --bs-alert-color: var(--bs-info-text-emphasis);
    --bs-alert-bg: var(--bs-info);
    --bs-alert-border-color: var(--bs-info);
    --bs-alert-link-color: var(--bs-info-text-emphasis);
}

.alert-warning {
    --bs-alert-color: var(--bs-warning-text-emphasis);
    --bs-alert-bg: var(--bs-warning);
    --bs-alert-border-color: var(--bs-warning);
    --bs-alert-link-color: var(--bs-warning-text-emphasis);
}

.alert-danger {
    --bs-alert-color: white;
    --bs-alert-bg: var(--bs-danger);
    --bs-alert-border-color: var(--bs-danger);
    --bs-alert-link-color: var(--bs-gray-100);
}

.alert-light {
    --bs-alert-color: var(--bs-gray-900);
    --bs-alert-bg: white;
    --bs-alert-border-color: var(--bs-gray-200);
    --bs-alert-link-color: var(--bs-gray-900);
}

.alert-dark {
    --bs-alert-color: var(--bs-gray-100);
    --bs-alert-bg: var(--bs-dark);
    --bs-alert-border-color: var(--bs-dark);
    --bs-alert-link-color: var(--bs-gray-100);
}